package com.dbxml.db.admin.swing;

/*
 * dbXML - Native XML Database
 * Copyright (C) 1999-2004  The dbXML Group, L.L.C.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * $Id: PropertyInfo.java,v 1.2 2004/07/21 00:20:04 bradford Exp $
 */

/**
 * PropertyInfo
 */

public class PropertyInfo {
   public static final int TYPE_STRING = 0;
   public static final int TYPE_INT = 1;
   public static final int TYPE_FLOAT = 2;
   public static final int TYPE_BOOLEAN = 3;
   public static final int TYPE_PASSWORD = 4;

   private String name;
   private String label;
   private String value;
   private boolean required;
   private int type;

   public PropertyInfo(String name, String label, String value, boolean required, int type) {
      this.name = name;
      this.label = label;
      this.value = value;
      this.required = required;
      this.type = type;
   }

   public PropertyInfo(String name, String label, String value, boolean required) {
      this.name = name;
      this.label = label;
      this.value = value;
      this.required = required;
   }

   public PropertyInfo(String name, String label, String value) {
      this.name = name;
      this.label = label;
      this.value = value;
      this.required = false;
   }

   public PropertyInfo(String name, String label) {
      this.name = name;
      this.label = label;
      this.value = "";
      this.required = false;
   }

   public PropertyInfo(String name) {
      this.name = name;
      this.label = name;
      this.value = "";
      this.required = false;
   }

   public String getName() {
      return name;
   }

   public String getLabel() {
      return label;
   }

   public String getValue() {
      return value;
   }

   public void setValue(String value) {
      this.value = value;
   }

   public boolean isRequired() {
      return required;
   }

   public int getType() {
      return type;
   }
}